Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.feature
Interface FeatureVisitor

    public interface FeatureVisitor

FeatureVisitor interface to allow for container optimized opperations.

The iterator construct from the Collections api is well understood and loved, but breaks down for working with large GIS data volumes. By using a visitor we allow the implementor of a Feature Collection to make use of additional resources (such as multiple processors or tiled data) concurrently.

This interface is most often used for calculations and data transformations and an implementaiton may intercept commands it knows about (such as "bounds" or reprojection) and engage an alternate workflow.

Method Summary
`void` | `init(FeatureCollectionType collection)` Called before accepting Features to allow the calculation to set up any state required.
`void` | `visit(Feature feature)`

Method Detail

### init

    void init(FeatureCollectionType collection)

  Called before accepting Features to allow the calculation to set up any state required.

### visit

    void visit(Feature feature)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.